Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class CPFieldRef

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry
org.apache.commons.compress.harmony.unpack200.bytecode.CPFieldRef

public class CPFieldRef extends ConstantPoolEntry
Field reference constant pool entry.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `CP_Class, CP_Double, CP_Fieldref, CP_Float, CP_Integer, CP_InterfaceMethodref, CP_Long, CP_Methodref, CP_NameAndType, CP_String, CP_UTF8, globalIndex`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPFieldRef(CPClass className, CPNameAndType descriptor, int globalIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `protected ClassFileEntry[]`
  `getNestedClassFileEntries()`
  Returns an empty array.
  `int`
  `hashCode()`
  `protected void`
  `resolve(ClassConstantPool pool)`
  Allows the constant pool entries to resolve their nested entries.
  `String`
  `toString()`
  `protected void`
  `writeBody(DataOutputStream dos)`
  Writes this instance to the given output stream.

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `doWrite, getGlobalIndex, getTag`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `objectHashCode, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CPFieldRef

    public CPFieldRef(CPClass className, CPNameAndType descriptor, int globalIndex)

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in class `ConstantPoolEntry`

  - ### getNestedClassFileEntries

    protected ClassFileEntry[] getNestedClassFileEntries()
    Description copied from class: `ClassFileEntry`
    Returns an empty array.
    Overrides:
      `getNestedClassFileEntries` in class `ClassFileEntry`
    Returns:
      an empty array.

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `ConstantPoolEntry`

  - ### resolve

    protected void resolve(ClassConstantPool pool)
    Description copied from class: `ClassFileEntry`
    Allows the constant pool entries to resolve their nested entries.
    Overrides:
      `resolve` in class `ClassFileEntry`
    Parameters:
      `pool` - The class constant pool.

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `ClassFileEntry`

  - ### writeBody

    protected void writeBody(DataOutputStream dos) throws IOException
    Description copied from class: `ConstantPoolEntry`
    Writes this instance to the given output stream.
    Specified by:
      `writeBody` in class `ConstantPoolEntry`
    Parameters:
      `dos` - the output stream.
    Throws:
      `IOException` - if an I/O error occurs.